Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.sqlfileoutput
Class SQLFileOutputMeta

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepMeta
          org.pentaho.di.trans.steps.sqlfileoutput.SQLFileOutputMeta

All Implemented Interfaces:
  Cloneable, StepMetaInterface

    public class SQLFileOutputMeta

extends BaseStepMeta
implements StepMetaInterface

Constructor Summary
`SQLFileOutputMeta()`

Method Summary
`boolean` | `AddToResult()`
`void` | `analyseImpact(List<DatabaseImpact> impact, TransMeta transMeta, StepMeta stepMeta, org.pentaho.di.core.row.RowMetaInterface prev, String[] input, String[] output, org.pentaho.di.core.row.RowMetaInterface info)` Each step must be able to report on the impact it has on a database, table field, etc.
`String` | `buildFilename(String fileName, int stepnr, int splitnr)`
`void` | `check(List<org.pentaho.di.core.CheckResultInterface> remarks, TransMeta transMeta, StepMeta stepMeta, org.pentaho.di.core.row.RowMetaInterface prev, String[] input, String[] output, org.pentaho.di.core.row.RowMetaInterface info)` Checks the settings of this step and puts the findings in a remarks List.
`Object` | `clone()` Make an exact copy of this step, make sure to explicitly copy Collections etc.
`boolean` | `createTable()`
`String` | `exportResources(org.pentaho.di.core.variables.VariableSpace space, Map<String,ResourceDefinition> definitions, ResourceNamingInterface resourceNamingInterface, Repository repository)` Since the exported transformation that runs this will reside in a ZIP file, we can't reference files relatively.
`org.pentaho.di.core.database.DatabaseMeta` | `getDatabaseMeta()`
`String` | `getDateFormat()`
`String` | `getEncoding()`
`String` | `getExtension()`
`String` | `getFileName()`
`String[]` | `getFiles(String fileName)`
`org.pentaho.di.core.row.RowMetaInterface` | `getRequiredFields(org.pentaho.di.core.variables.VariableSpace space)` The natural way of data flow in a transformation is source-to-target.
`String` | `getSchemaName()`
`int` | `getSplitEvery()`
`org.pentaho.di.core.SQLStatement` | `getSQLStatements(TransMeta transMeta, StepMeta stepMeta, org.pentaho.di.core.row.RowMetaInterface prev)` Standard method to return one or more SQLStatement objects that the step needs in order to work correctly.
`StepInterface` | `getStep(StepMeta stepMeta, StepDataInterface stepDataInterface, int cnr, TransMeta transMeta, Trans trans)` Get the executing step, needed by Trans to launch a step.
`StepDataInterface` | `getStepData()` Get a new instance of the appropriate data class.
`String` | `getTablename()`
`org.pentaho.di.core.database.DatabaseMeta[]` | `getUsedDatabaseConnections()` This method returns all the database connections that are used by the step.
`String` | `getXML()` Produces the XML string that describes this step's information.
`boolean` | `isCreateParentFolder()`
`boolean` | `isDateInFilename()`
`boolean` | `isDoNotOpenNewFileInit()`
`boolean` | `isFileAppended()`
`boolean` | `isStepNrInFilename()`
`boolean` | `isTimeInFilename()`
`void` | `loadXML(Node stepnode, List<org.pentaho.di.core.database.DatabaseMeta> databases, Map<String,org.pentaho.di.core.Counter> counters)` Load the values for this step from an XML Node
`void` | `readRep(Repository rep, long id_step, List<org.pentaho.di.core.database.DatabaseMeta> databases, Map<String,org.pentaho.di.core.Counter> counters)` Read the steps information from a Kettle repository
`void` | `saveRep(Repository rep, long id_transformation, long id_step)` Save the steps data into a Kettle repository
`void` | `setAddToResult(boolean AddToResult)`
`void` | `setCreateParentFolder(boolean createparentfolder)`
`void` | `setCreateTable(boolean createTable)`
`void` | `setDatabaseMeta(org.pentaho.di.core.database.DatabaseMeta database)`
`void` | `setDateFormat(String dateFormat)`
`void` | `setDateInFilename(boolean dateInFilename)`
`void` | `setDefault()` Set default values
`void` | `setDoNotOpenNewFileInit(boolean DoNotOpenNewFileInit)`
`void` | `setEncoding(String encoding)`
`void` | `setExtension(String extension)`
`void` | `setFileAppended(boolean fileAppended)`
`void` | `setFileName(String fileName)`
`void` | `setSchemaName(String schemaName)`
`void` | `setSplitEvery(int splitEvery)`
`void` | `setStartNewLine(boolean StartNewLine)`
`void` | `setStepNrInFilename(boolean stepNrInFilename)`
`void` | `setTablename(String tablename)`
`void` | `setTimeInFilename(boolean timeInFilename)`
`void` | `setTruncateTable(boolean truncateTable)`
`boolean` | `StartNewLine()`
`boolean` | `supportsErrorHandling()`
`boolean` | `truncateTable()`

Methods inherited from class org.pentaho.di.trans.step.BaseStepMeta
`cancelQueries, chosesTargetSteps, excludeFromRowLayoutVerification, getDialogClassName, getFields, getID, getInfoSteps, getRequiredFields, getResourceDependencies, getTableFields, getTargetSteps, getUsedArguments, getUsedLibraries, hasChanged, searchInfoAndTargetSteps, setChanged, setChanged, setID, setInfoSteps, setTargetSteps`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepMetaInterface
`cancelQueries, excludeFromRowLayoutVerification, getDialogClassName, getFields, getInfoSteps, getRequiredFields, getResourceDependencies, getTableFields, getTargetSteps, getUsedArguments, getUsedLibraries, searchInfoAndTargetSteps, setInfoSteps, setTargetSteps`

Constructor Detail

### SQLFileOutputMeta

    public SQLFileOutputMeta()

Method Detail

### loadXML

    public void loadXML(Node stepnode,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        Map<String,org.pentaho.di.core.Counter> counters)
                 throws org.pentaho.di.core.exception.KettleXMLException

  Description copied from interface: `StepMetaInterface`
  Load the values for this step from an XML Node

  Specified by:
    `loadXML` in interface `StepMetaInterface`
  Parameters:
    `stepnode` - the Node to get the info from
    `databases` - The available list of databases to reference to
    `counters` - Counters to reference.
  Throws:
    `org.pentaho.di.core.exception.KettleXMLException` - When an unexpected XML error occurred. (malformed etc.)

### clone

    public Object clone()

  Description copied from interface: `StepMetaInterface`
  Make an exact copy of this step, make sure to explicitly copy Collections etc.

  Specified by:
    `clone` in interface `StepMetaInterface`
  Overrides:
    `clone` in class `BaseStepMeta`
  Returns:
    an exact copy of this step

### getDatabaseMeta

    public org.pentaho.di.core.database.DatabaseMeta getDatabaseMeta()

  Returns:
    Returns the database.

### setDatabaseMeta

    public void setDatabaseMeta(org.pentaho.di.core.database.DatabaseMeta database)

  Parameters:
    `database` - The database to set.

### getExtension

    public String getExtension()

  Returns:
    Returns the extension.

### setExtension

    public void setExtension(String extension)

  Parameters:
    `extension` - The extension to set.

### isFileAppended

    public boolean isFileAppended()

  Returns:
    Returns the fileAppended.

### setFileAppended

    public void setFileAppended(boolean fileAppended)

  Parameters:
    `fileAppended` - The fileAppended to set.

### getFileName

    public String getFileName()

  Returns:
    Returns the fileName.

### getSplitEvery

    public int getSplitEvery()

  Returns:
    Returns the splitEvery.

### setSplitEvery

    public void setSplitEvery(int splitEvery)

  Parameters:
    `splitEvery` - The splitEvery to set.

### isStepNrInFilename

    public boolean isStepNrInFilename()

  Returns:
    Returns the stepNrInFilename.

### setStepNrInFilename

    public void setStepNrInFilename(boolean stepNrInFilename)

  Parameters:
    `stepNrInFilename` - The stepNrInFilename to set.

### isTimeInFilename

    public boolean isTimeInFilename()

  Returns:
    Returns the timeInFilename.

### isDateInFilename

    public boolean isDateInFilename()

  Returns:
    Returns the dateInFilename.

### setDateInFilename

    public void setDateInFilename(boolean dateInFilename)

  Parameters:
    `dateInFilename` - The dateInFilename to set.

### setTimeInFilename

    public void setTimeInFilename(boolean timeInFilename)

  Parameters:
    `timeInFilename` - The timeInFilename to set.

### setFileName

    public void setFileName(String fileName)

  Parameters:
    `fileName` - The fileName to set.

### getEncoding

    public String getEncoding()

  Returns:
    The desired encoding of output file, null or empty if the default system encoding needs to be used.

### getDateFormat

    public String getDateFormat()

  Returns:
    The desired date format.

### setEncoding

    public void setEncoding(String encoding)

  Parameters:
    `encoding` - The desired encoding of output file, null or empty if the default system encoding needs to be used.

### setDateFormat

    public void setDateFormat(String dateFormat)

  Parameters:
    `dateFormat` - The desired date format of output field date used.

### getTablename

    public String getTablename()

  Returns:
    Returns the table name.

### setTablename

    public void setTablename(String tablename)

  Parameters:
    `tablename` - The table name to set.

### truncateTable

    public boolean truncateTable()

  Returns:
    Returns the truncate table flag.

### AddToResult

    public boolean AddToResult()

  Returns:
    Returns the Add to result filesname flag.

### StartNewLine

    public boolean StartNewLine()

  Returns:
    Returns the Start new line flag.

### isDoNotOpenNewFileInit

    public boolean isDoNotOpenNewFileInit()

### setDoNotOpenNewFileInit

    public void setDoNotOpenNewFileInit(boolean DoNotOpenNewFileInit)

### createTable

    public boolean createTable()

  Returns:
    Returns the create table flag.

### setTruncateTable

    public void setTruncateTable(boolean truncateTable)

  Parameters:
    `truncateTable` - The truncate table flag to set.

### setAddToResult

    public void setAddToResult(boolean AddToResult)

  Parameters:
    `AddToResult` - The Add file to result to set.

### setStartNewLine

    public void setStartNewLine(boolean StartNewLine)

  Parameters:
    `StartNewLine` - The Start NEw Line to set.

### setCreateTable

    public void setCreateTable(boolean createTable)

  Parameters:
    `createTable` - The create table flag to set.

### isCreateParentFolder

    public boolean isCreateParentFolder()

  Returns:
    Returns the create parent folder flag.

### setCreateParentFolder

    public void setCreateParentFolder(boolean createparentfolder)

  Parameters:
    `createparentfolder` - The create parent folder flag to set.

### getFiles

    public String[] getFiles(String fileName)

### buildFilename

    public String buildFilename(String fileName,
                                int stepnr,
                                int splitnr)

### setDefault

    public void setDefault()

  Description copied from interface: `StepMetaInterface`
  Set default values

  Specified by:
    `setDefault` in interface `StepMetaInterface`

### getXML

    public String getXML()

  Description copied from class: `BaseStepMeta`
  Produces the XML string that describes this step's information.

  Specified by:
    `getXML` in interface `StepMetaInterface`
  Overrides:
    `getXML` in class `BaseStepMeta`
  Returns:
    String containing the XML describing this step.

### readRep

    public void readRep(Repository rep,
                        long id_step,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        Map<String,org.pentaho.di.core.Counter> counters)
                 throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `StepMetaInterface`
  Read the steps information from a Kettle repository

  Specified by:
    `readRep` in interface `StepMetaInterface`
  Parameters:
    `rep` - The repository to read from
    `id_step` - The step ID
    `databases` - The databases to reference
    `counters` - The counters to reference
  Throws:
    `org.pentaho.di.core.exception.KettleException` - When an unexpected error occurred (database, network, etc)

### saveRep

    public void saveRep(Repository rep,
                        long id_transformation,
                        long id_step)
                 throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `StepMetaInterface`
  Save the steps data into a Kettle repository

  Specified by:
    `saveRep` in interface `StepMetaInterface`
  Parameters:
    `rep` - The Kettle repository to save to
    `id_transformation` - The transformation ID
    `id_step` - The step ID
  Throws:
    `org.pentaho.di.core.exception.KettleException` - When an unexpected error occurred (database, network, etc)

### check

    public void check(List<org.pentaho.di.core.CheckResultInterface> remarks,
                      TransMeta transMeta,
                      StepMeta stepMeta,
                      org.pentaho.di.core.row.RowMetaInterface prev,
                      String[] input,
                      String[] output,
                      org.pentaho.di.core.row.RowMetaInterface info)

  Description copied from interface: `StepMetaInterface`
  Checks the settings of this step and puts the findings in a remarks List.

  Specified by:
    `check` in interface `StepMetaInterface`
  Parameters:
    `remarks` - The list to put the remarks in @see org.pentaho.di.core.CheckResult
    `stepMeta` - The stepMeta to help checking
    `prev` - The fields coming from the previous step
    `input` - The input step names
    `output` - The output step names
    `info` - The fields that are used as information by the step

### getStep

    public StepInterface getStep(StepMeta stepMeta,
                                 StepDataInterface stepDataInterface,
                                 int cnr,
                                 TransMeta transMeta,
                                 Trans trans)

  Description copied from interface: `StepMetaInterface`
  Get the executing step, needed by Trans to launch a step.

  Specified by:
    `getStep` in interface `StepMetaInterface`
  Parameters:
    `stepMeta` - The step info
    `stepDataInterface` - the step data interface linked to this step. Here the step can store temporary data, database connections, etc.
    `cnr` - The copy nr to get
    `transMeta` - The transformation info
    `trans` - The launching transformation

### getStepData

    public StepDataInterface getStepData()

  Description copied from interface: `StepMetaInterface`
  Get a new instance of the appropriate data class. This data class implements the StepDataInterface. It basically contains the persisting data that needs to live on, even if a worker thread is terminated.

  Specified by:
    `getStepData` in interface `StepMetaInterface`
  Returns:
    The appropriate StepDataInterface class.

### analyseImpact

    public void analyseImpact(List<DatabaseImpact> impact,
                              TransMeta transMeta,
                              StepMeta stepMeta,
                              org.pentaho.di.core.row.RowMetaInterface prev,
                              String[] input,
                              String[] output,
                              org.pentaho.di.core.row.RowMetaInterface info)

  Description copied from class: `BaseStepMeta`
  Each step must be able to report on the impact it has on a database, table field, etc.

  Specified by:
    `analyseImpact` in interface `StepMetaInterface`
  Overrides:
    `analyseImpact` in class `BaseStepMeta`
  Parameters:
    `impact` - The list of impacts @see org.pentaho.di.transMeta.DatabaseImpact
    `transMeta` - The transformation information
    `stepMeta` - The step information
    `prev` - The fields entering this step
    `input` - The previous step names
    `output` - The output step names
    `info` - The fields used as information by this step

### getSQLStatements

    public org.pentaho.di.core.SQLStatement getSQLStatements(TransMeta transMeta,
                                                             StepMeta stepMeta,
                                                             org.pentaho.di.core.row.RowMetaInterface prev)

  Description copied from class: `BaseStepMeta`
  Standard method to return one or more SQLStatement objects that the step needs in order to work correctly. This can mean "create table", "create index" statements but also "alter table ... add/drop/modify" statements.

  Specified by:
    `getSQLStatements` in interface `StepMetaInterface`
  Overrides:
    `getSQLStatements` in class `BaseStepMeta`
  Parameters:
    `transMeta` - TransInfo object containing the complete transformation
    `stepMeta` - StepMeta object containing the complete step
    `prev` - Row containing meta-data for the input fields (no data)
  Returns:
    The SQL Statements for this step or null if an error occurred. If nothing has to be done, the SQLStatement.getSQL() == null.

### getRequiredFields

    public org.pentaho.di.core.row.RowMetaInterface getRequiredFields(org.pentaho.di.core.variables.VariableSpace space)
                                                               throws org.pentaho.di.core.exception.KettleException

  Description copied from class: `BaseStepMeta`
  The natural way of data flow in a transformation is source-to-target. However, this makes mapping to target tables difficult to do. To help out here, we supply information to the transformation meta-data model about which fields are required for a step. This allows us to automate certain tasks like the mapping to pre-defined tables. The Table Output step in this case will output the fields in the target table using this method. This default implementation returns an empty row meaning that no fields are required for this step to operate.

  Specified by:
    `getRequiredFields` in interface `StepMetaInterface`
  Overrides:
    `getRequiredFields` in class `BaseStepMeta`
  Parameters:
    `space` - the variable space to use to do variable substitution.
  Returns:
    the required fields for this steps meta data.
  Throws:
    `org.pentaho.di.core.exception.KettleException` - in case the required fields can't be determined

### getUsedDatabaseConnections

    public org.pentaho.di.core.database.DatabaseMeta[] getUsedDatabaseConnections()

  Description copied from class: `BaseStepMeta`
  This method returns all the database connections that are used by the step.

  Specified by:
    `getUsedDatabaseConnections` in interface `StepMetaInterface`
  Overrides:
    `getUsedDatabaseConnections` in class `BaseStepMeta`
  Returns:
    an array of database connections meta-data. Return an empty array if no connections are used.

### getSchemaName

    public String getSchemaName()

  Returns:
    the schemaName

### setSchemaName

    public void setSchemaName(String schemaName)

  Parameters:
    `schemaName` - the schemaName to set

### supportsErrorHandling

    public boolean supportsErrorHandling()

  Specified by:
    `supportsErrorHandling` in interface `StepMetaInterface`
  Overrides:
    `supportsErrorHandling` in class `BaseStepMeta`
  Returns:
    true if this step supports error "reporting" on rows: the ability to send rows to a certain target step.

### exportResources

    public String exportResources(org.pentaho.di.core.variables.VariableSpace space,
                                  Map<String,ResourceDefinition> definitions,
                                  ResourceNamingInterface resourceNamingInterface,
                                  Repository repository)
                           throws org.pentaho.di.core.exception.KettleException

  Since the exported transformation that runs this will reside in a ZIP file, we can't reference files relatively. So what this does is turn the name of files into absolute paths OR it simply includes the resource in the ZIP file. For now, we'll simply turn it into an absolute path and pray that the file is on a shared drive or something like that. TODO: create options to configure this behavior

  Specified by:
    `exportResources` in interface `StepMetaInterface`
  Overrides:
    `exportResources` in class `BaseStepMeta`
  Parameters:
    `space` - the variable space to use
    `repository` - The repository to optionally load other resources from (to be converted to XML)
  Returns:
    the filename of the exported resource
  Throws:
    `org.pentaho.di.core.exception.KettleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD